import { jsx } from "react/jsx-runtime";
import { TokenOPIUM as TokenOPIUM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenOPIUM = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "OPIUM", "data-name": "TokenOPIUM", ...props, children: /* @__PURE__ */ jsx(TokenOPIUM$1, { variant }) });
  }
);
TokenOPIUM.displayName = "TokenOPIUM";
Object.assign(TokenOPIUM, { isGdsIcon: true });
export {
  TokenOPIUM
};
